HTTP(1)

NAME
httpie - CLI, cURL-like tool for humans

SYNOPSIS
http [-h] [--version] [--json | --form] [--traceback]
     [--pretty ] [--headers | --body] [--style STYLE]
     [--auth AUTH] [--verify VERIFY] [--proxy PROXY]
     [--file PATH] [--timeout TIMEOUT]
     METHOD URL [items [items ...]]

Positional arguments:

METHOD
    HTTP method to be used for the request (GET, POST, PUT, DELETE, PATCH, ...).

URL Protocol defaults to http:// if the URL does not include it.

items
    HTTP header (key:value), data field (key=value) or raw JSON field (field:=value).

DESCRIPTION
HTTPie is a CLI HTTP utility built out of frustration with existing tools. The goal is to make CLI interaction with HTTP-based services as human-friendly as possible.

HTTPie does so by providing an http command that allows for issuing arbitrary HTTP requests using a simple and natural syntax and displaying colorized responses.

OPTIONS

-h, --help
    Show this help message and exit

--version
    Show program's version number and exit

--json, -j
    Serialize data items as a JSON object and set Content-Type to application/json, if not specified.

--form, -f
    Serialize data items as form values and set Content- Type to application/x-www-form-urlencoded, if not specified.

--traceback
    Print exception traceback should one occur.

--pretty, -p
    If stdout is a terminal, the response is prettified by default (colorized and indented if it is JSON). This flag ensures prettifying even when stdout is redirected.

--headers, -t
    Print only the response headers.

--body, -b
    Print only the response body.

--style STYLE, -s STYLE
    Output coloring style, one of autumn, borland, bw, colorful, default, emacs, friendly, fruity, manni, monokai, murphy, native, pastie, perldoc, rrt, solarized, tango, trac, vim, vs. Defaults to solarized.

--auth AUTH, -a AUTH
    username:password

--verify VERIFY
    Set to "yes" to check the host's SSL certificate. You can also pass the path to a CA_BUNDLE file for private certs. You can also set the REQUESTS_CA_BUNDLE environment variable.

--proxy PROXY
    String mapping protocol to the URL of the proxy (e.g. http:foo.bar:3128).

--file PATH
    File to multipart upload

--timeout TIMEOUT
    Float describes the timeout of the request (Use socket.setdefaulttimeout() as fallback).

AUTHOR
httpie was written by Jakub Roztocil <jakub@roztocil.name>.

This manual page was written by Khalid El Fathi <khalid@elfathi.fr>, for the Debian project (and may be used by others).